## harbour-1.0.1-src.zip

=== Makefile ===
#
# $Id: Makefile 7938 2007-11-10 17:04:20Z vszakats $
#

ROOT = ./

ifeq ($(HB_HOST_BUILD),yes)

DIRS=\
	source \

else

ifeq ($(HB_HOST_BUILD),lib)
HB_UTIL_DIR=
else
HB_UTIL_DIR=utils
endif

DIRS=\
	doc \
	include \
	source \
	$(HB_UTIL_DIR) \
	contrib \

endif

ifeq ($(HB_POSTINST),)

ifneq ($(HB_ROOTPOSTINST),)
HB_POSTINST = $(HB_ROOTPOSTINST) $(HB_POSTINSTPARAM)
else
ifneq ($(SHLVL),)
HB_POSTINST = $(TOP)$(ROOT)bin/postinst.sh $(HB_POSTINSTPARAM)
else
ifeq ($(HB_ARCHITECTURE),dos)
HB_POSTINST = $(subst /,\,$(TOP)$(ROOT)bin/postinst.bat) $(HB_POSTINSTPARAM)
else
ifeq ($(HB_ARCHITECTURE),w32)
HB_POSTINST = $(subst /,\,$(TOP)$(ROOT)bin/postinst.bat) $(HB_POSTINSTPARAM)
endif
endif
endif
endif

endif

include $(ROOT)config/dir.cf

=== contrib/Makefile ===
#
# $Id: Makefile 9352 2008-09-10 16:33:21Z vszakats $
#

ROOT = ../

ifeq ($(HB_CONTRIBLIBS),)

# standalone contribs
DIRS=\
	gtwvg \
	hbbmcdx \
	hbbtree \
	hbclipsm \
	hbct \
	hbgf \
	hbgt \
	hbmisc \
	hbmzip \
	hbnf \
	hbodbc \
	hbole \
	hbsqlit3 \
	hbtip \
	hbtpathy \
	hbvpdf \
	hbw32 \
	hbwhat \
	hbziparc \
	rddado \
	xhb \

# contribs with external dependencies
DIRS +=\
	gtalleg \
	hbapollo \
	hbcurl \
	hbfbird \
	hbfimage \
	hbgd \
	hbhpdf \
	hbmsql \
	hbmysql \
	hbpgsql \
	rddads \

else

DIRS = $(HB_CONTRIBLIBS)

endif

DIRS += $(HB_CONTRIB_ADDONS)

# DIRS += examples

include $(ROOT)config/dir.cf

=== doc/Makefile ===
#
# $Id: Makefile 9158 2008-08-12 14:12:38Z vszakats $
#

ROOT = ../

DOC_FILES=\
	c_std.txt \
	class_tp.txt \
	cmdline.txt \
	codebloc.txt \
	codestyl.txt \
	dirstruc.txt \
	funclist.txt \
	genhtm.bat \
	genhtm.lnk \
	genhtm.rsp \
	gmake.txt \
	gtapi.txt \
	hbmake.txt \
	hdr_tpl.txt \
	howtobsd.txt \
	howtosvn.txt \
	howtomak.txt \
	hrb_faq.txt \
	lang_id.txt \
	license.txt \
	pcode.txt \
	pragma.txt \
	readme.txt \
	statics.txt \
	tracing.txt \
	transfrm.txt \
	vm.txt \
	whatsnew.txt \
	windll.txt \

DIRS=\
	en \
	es \

include $(TOP)$(ROOT)config/doc.cf
include $(TOP)$(ROOT)config/dir.cf

=== include/Makefile ===
#
# $Id: Makefile 9145 2008-08-11 22:16:11Z vszakats $
#

ROOT = ../

C_HEADERS=\
	clipdefs.h   \
	extend.h     \
	hbapi.h      \
	hbapicdp.h   \
	hbapicls.h   \
	hbapidbg.h   \
	hbapierr.h   \
	hbapifs.h    \
	hbapigt.h    \
	hbapiitm.h   \
	hbapilng.h   \
	hbapirdd.h   \
	hbassert.h   \
	hbchksum.h   \
	hbcomp.h     \
	hbcompdf.h   \
	hbdate.h     \
	hbdbf.h      \
	hbdbferr.h   \
	hbdbsort.h   \
	hbdefs.h     \
	hberrors.h   \
	hbexprop.h   \
	hbfixdj.h    \
	hbgtcore.h   \
	hbhash.h     \
	hbinit.h     \
	hbmacro.h    \
	hbmath.h     \
	hbpcode.h    \
	hbpp.h       \
	hbrddcdx.h   \
	hbrdddbf.h   \
	hbrdddbt.h   \
	hbrddfpt.h   \
	hbrdddel.h   \
	hbrddntx.h   \
	hbrddsdf.h   \
	hbregex.h    \
	hbset.h      \
	hbsetup.h    \
	hbstack.h    \
	hbsxfunc.h   \
	hbtrace.h    \
	hbtypes.h    \
	hbver.h      \
	hbvm.h       \
	hbvmopt.h    \
	hbvmpub.h    \
	hbxvm.h      \
	hbwince.h    \
	hbzlib.h     \
	hb_io.h      \

PRG_HEADERS=\
	achoice.ch   \
	assert.ch    \
	box.ch       \
	button.ch    \
	blob.ch      \
	color.ch     \
	common.ch    \
	dbedit.ch    \
	dbinfo.ch    \
	dbstruct.ch  \
	directry.ch  \
	error.ch     \
	fileio.ch    \
	getexit.ch   \
	hbclass.ch   \
	hbdebug.ch   \
	hbextern.ch  \
	hbgetcmt.ch  \
	hbgfx.ch     \
	hbgfxdef.ch  \
	hbgtinfo.ch  \
	hbinkey.ch   \
	hblang.ch    \
	hbmacro.ch   \
	hbmath.ch    \
	hbmemory.ch  \
	hbmemvar.ch  \
	hboo.ch      \
	hbpers.ch    \
	hbsetup.ch   \
	hbsix.ch     \
	hbstdgen.ch  \
	hbusrrdd.ch  \
	hbzlib.ch    \
	inkey.ch     \
	memoedit.ch  \
	ord.ch       \
	rddsys.ch    \
	reserved.ch  \
	set.ch       \
	setcurs.ch   \
	simpleio.ch  \
	std.ch       \
	hbsxdef.ch   \
	tbrowse.ch   \

API_HEADERS=\
	error.api    \
	extend.api   \
	filesys.api  \
	fm.api       \
	gt.api       \
	hbundoc.api  \
	item.api     \
	rdd.api      \
	vm.api       \

include $(TOP)$(ROOT)config/header.cf

=== source/Makefile ===
#
# $Id: Makefile 9075 2008-08-06 11:10:24Z druzus $
#

ROOT = ../

ifeq ($(HB_HOST_BUILD),yes)

DIRS=\
	common \
	pp \
	compiler \
	main \

else

ifeq ($(HB_HOST_BUILD),lib)
HB_COMP_DIR=
else
HB_COMP_DIR=main
endif

DIRS=\
	common \
	pp \
	compiler \
	$(HB_COMP_DIR) \
	rtl \
	vm \
	macro \
	codepage \
	lang \
	rdd \
	hbextern \
	hbpcre \
	hbzlib \
	debug \

endif

include $(ROOT)config/dir.cf

=== tests/Makefile ===
#
# $Id: Makefile 9117 2008-08-09 09:59:09Z vszakats $
#

ifeq ($(HB_MAIN),)
HB_MAIN = std
endif

ROOT = ../

LIBS=\
	hbdebug \
	hbvm \
	hbrtl \
	hblang \
	hbrdd \
	hbrtl \
	hbvm \
	hbmacro \
	hbpp \
	hbcommon \
	hbpcre \

ifeq ($(PM),)
  PM := $(pm)
endif

ifeq ($(PM),) # PM not defined = build all files

PRG_SOURCES=\
	ac_test.prg \
	adirtest.prg \
	ainstest.prg \
	and_or.prg \
	array16.prg \
	arrayidx.prg \
	arrays.prg \
	arreval.prg \
	arrindex.prg \
	atest.prg \
	begin.prg \
	box.prg \
	boxtest.prg \
	byref.prg \
	calling.prg \
	cdow.prg \
	clasname.prg \
	classch.prg \
	classes.prg \
	clsdata.prg \
	cmphello.prg \
	codebl.prg \
	codebloc.prg \
	comments.prg \
	curdirt.prg \
	cursrtst.prg \
	dates.prg \
	dates2.prg \
	dates3.prg \
	db_brows.prg \
	dbevalts.prg \
	delimtst.prg \
	devtest.prg \
	dirtest.prg \
	disptest.prg \
	docase.prg \
	dosshell.prg \
	dynsym.prg \
	exittest.prg \
	fib.prg \
	fornext.prg \
	fortest.prg \
	fsplit.prg \
	hello.prg \
	ifelse.prg \
	ifinline.prg \
	initexit.prg \
	inkeytst.prg \
	inline.prg \
	iotest.prg \
	iotest2.prg \
	langapi.prg \
	lnlenli2.prg \
	longdev.prg \
	longstr.prg \
	longstr2.prg \
	memfile.prg \
	memory.prg \
	memvar.prg \
	menutest.prg \
	mousetst.prg \
	multiarg.prg \
	nums.prg \
	objects.prg \
	omacro.prg \
	onidle.prg \
	os.prg \
	output.prg \
	overload.prg \
	parexpr.prg \
	parseini.prg \
	passref.prg \
	procline.prg \
	procname.prg \
	readhrb.prg \
	recursiv.prg \
	returns.prg \
	rto_get.prg \
	rto_tb.prg \
	round.prg \
	say.prg \
	scroll.prg \
	sdf_test.prg \
	seconds.prg \
	setkeys.prg \
	set_num.prg \
	set_test.prg \
	sound.prg \
	statinit.prg \
	statfun.prg \
	statics.prg \
	strdelim.prg \
	symbolt.prg \
	t1.prg \
	test_all.prg \
	testbrdb.prg \
	testbrw.prg \
	testcdx.prg \
	testcgi.prg \
	testdbf.prg \
	testdecl.prg \
	testerro.prg \
	testfor.prg \
	testhtml.prg \
	testid.prg \
	testinc.prg \
	testmem.prg \
	testntx.prg \
	testpre.prg \
	testprof.prg \
	testrdd.prg \
	testread.prg \
	teststr.prg \
	testvars.prg \
	testwarn.prg \
	tstalias.prg \
	tstasort.prg \
	tstcolor.prg \
	tstdbi.prg \
	tstdspac.prg \
	varparam.prg \
	version.prg \
	vmasort.prg \
	while.prg \
	newrdd.prg \

PRG_HEADERS=\
	db_brows.ch \
	cgi.ch \
	keywords.ch \
	test.ch \

BAD_PRG_SOURCES=\
	alias.prg \
	clasinit.prg \
	dates4.prg \
	debugtst.prg \
	dupvars.prg \
	dynobj.prg \
	extend1.prg \
	funcarr.prg \
	inherit.prg \
	inifiles.prg \
	keywords.prg \
	linecont.prg \
	lnlenli1.prg \
	mathtest.prg \
	objarr.prg \
	objasign.prg \
	rtfclass.prg \
	statics1.prg \
	statics2.prg \
	stripem.prg \
	test.prg \
	test10.prg \
	testgt.prg \
	testpp.prg \
	testtok.prg \
	tstprag.prg \
	vec1.prg \

C_SOURCES=\

C_HEADERS=\

BAD_C_SOURCES=\
	extend2.c \

include $(TOP)$(ROOT)config/test.cf

else #PM defined = build specified file

ifneq ($(findstring .prg,$(PM)),)
  PRG_MAIN := $(PM)
else
  ifneq ($(findstring .PRG,$(PM)),)
    PRG_MAIN := $(PM)
  else
    PRG_MAIN := $(PM).prg
  endif
endif
include $(TOP)$(ROOT)config/bin.cf

endif

=== utils/Makefile ===
#
# $Id: Makefile 9067 2008-08-05 11:23:46Z vszakats $
#

ROOT = ../

DIRS=\
	hbrun \
	hbtest \
	hbdoc \
	hbmake \
	$(HB_UTILS) \

#	hbextern \

include $(ROOT)config/dir.cf

=== contrib/examples/Makefile ===
#
# $Id: Makefile 8783 2008-06-21 16:00:23Z vszakats $
#

ROOT = ../../

DIRS=\
	guestbk \
	hscript \
	misc \
	pe \
	pp \
	rdddbt \

include $(ROOT)config/dir.cf

=== contrib/gtalleg/Makefile ===
#
# $Id: Makefile 9375 2008-09-13 17:31:37Z vszakats $
#

ROOT = ../../

LIBNAME=gtalleg

ifneq ($(HB_COMPILER),pocc)
ifneq ($(HB_COMPILER),xcc)
ifneq ($(HB_COMPILER),dm)
ifneq ($(HB_COMPILER),owatcom)

ifeq ($(HB_INC_ALLEGRO),)
ifeq ($(HB_XBUILD),)
HB_INC_ALLEGRO = /usr/include
endif
endif

HB_INC_ALLEGRO_OK += $(foreach d, $(HB_INC_ALLEGRO), $(if $(wildcard $(d)/allegro.h),$(d),))

ifneq ($(strip $(HB_INC_ALLEGRO_OK)),)

C_USR += $(foreach d, $(HB_INC_ALLEGRO_OK), -I$(d))

C_SOURCES=\
	gtalleg.c \
	ssf.c \

include $(TOP)$(ROOT)config/lib.cf

else
include $(TOP)$(ROOT)config/none.cf
endif
else
include $(TOP)$(ROOT)config/none.cf
endif
else
include $(TOP)$(ROOT)config/none.cf
endif
else
include $(TOP)$(ROOT)config/none.cf
endif
else
include $(TOP)$(ROOT)config/none.cf
endif

=== contrib/gtwvg/Makefile ===
#
# $Id: Makefile 8885 2008-07-02 09:57:58Z druzus $
#

ROOT = ../../

LIBNAME=gtwvg

ifeq ($(HB_ARCHITECTURE),w32)

C_SOURCES=\
	gtwvg.c \
	wvgcore.c \
	wvgutils.c \

PRG_SOURCES=\
	wvgclass.prg \
	wvgpaint.prg \

PRG_HEADERS=\
	hbgtwvg.ch \
	wvtwin.ch \

include $(TOP)$(ROOT)config/header.cf
INSTALL_RULE_HEADERS := $(INSTALL_RULE)
include $(TOP)$(ROOT)config/lib.cf

install::
	$(INSTALL_RULE_HEADERS)

else
include $(TOP)$(ROOT)config/none.cf
endif

=== contrib/hbapollo/Makefile ===
#
# $Id: Makefile 9082 2008-08-06 21:07:39Z vszakats $
#

ROOT = ../../

LIBNAME=hbapollo

ifneq ($(HB_ARCHITECTURE),dos)

HB_INC_APOLLO_OK += $(foreach d, $(HB_INC_APOLLO), $(if $(wildcard $(d)/Sde61.h),$(d),))

ifneq ($(strip $(HB_INC_APOLLO_OK)),)

C_USR += $(foreach d, $(HB_INC_APOLLO_OK), -I$(d))

C_SOURCES=\
	apollo.c \

PRG_SOURCES=\
	apollo1.prg \

PRG_HEADERS=\
	apollo.ch \

include $(TOP)$(ROOT)config/header.cf
INSTALL_RULE_HEADERS := $(INSTALL_RULE)
include $(TOP)$(ROOT)config/lib.cf

install::
	$(INSTALL_RULE_HEADERS)

else
include $(TOP)$(ROOT)config/none.cf
endif
else
include $(TOP)$(ROOT)config/none.cf
endif

=== contrib/hbbmcdx/Makefile ===
#
# $Id: Makefile 8914 2008-07-03 12:23:39Z vszakats $
#

ROOT = ../../

C_SOURCES=\
	bmdbfcdx.c \
	bmsixcdx.c

LIBNAME=hbbmcdx

include $(TOP)$(ROOT)config/lib.cf

=== debian/changelog ===
harbour (1.0.1-1) unstable; urgency=low

  * Please see doc/whatsnew.txt

 -- Viktor Szakats <harbour___@syenar.hu>  Tue, 16 Sep 2008 14:54:38 +0200

harbour (1.0.0-1) unstable; urgency=low

  * Lot of new stuff see changelog

 -- guy.roussin <guy.roussin@teledetection.fr>  Mon, 28 Jul 2008 15:40:38 +0200

harbour (0.45.0-0.1) unstable; urgency=low

  * NMU
  * New upstream release.
  * Bump to Standards-Version 3.6.2.
  * Drop gcc-3.3 build-dep.

 -- Clint Adams <schizo@debian.org>  Thu, 18 May 2006 14:43:11 -0400

harbour (0.44-1) unstable; urgency=low

  * Initial Release (closes: Bug#251486).

 -- Luis Mayoral <mayoral@linuxadicto.org>  Sun, 05 Sep 2004 14:33:19 +0200

=== debian/control ===
Source: harbour
Section: devel
Priority: optional
Maintainer: Luis Mayoral <mayoral@linuxadicto.org>
Build-Depends: debhelper (>= 4.0.0), binutils, bash, gcc
Standards-Version: 3.6.2

Package: harbour
Architecture: any
Depends: ${shlibs:Depends}
Description: Compiler for the xBase superset language often referred to as Clipper
 Harbour is a free software compiler for the xBase superset language
 often referred to as Clipper (the language that is implemented by the
 compiler CA-Cl*pper).
 .
 Harbour is a cross platform compiler and is known to compile and run on
 MS-DOS, MS-Windows, OS/2 and GNU/Linux, *BSD systems, MAC-OSX, HP-UX and
 other *nixes
 .
 The main advantage Harbour has over other Clipper compilers is that it
 is free software. Harbour also attempts to remove some of the limits
 imposed by the base implementation but the extent of this will depend on
 your chosen platform.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export _DEFAULT_BIN_DIR=/usr/bin
export _DEFAULT_INC_DIR=/usr/include/harbour
export _DEFAULT_LIB_DIR=/usr/lib/harbour
export INSTDIR=$(CURDIR)/debian/harbour
export HB_BIN_INSTALL=$(INSTDIR)$(_DEFAULT_BIN_DIR)
export HB_LIB_INSTALL=$(INSTDIR)$(_DEFAULT_LIB_DIR)
export HB_INC_INSTALL=$(INSTDIR)$(_DEFAULT_INC_DIR)
export HB_ETC_DIR=$(INSTDIR)/etc
export HB_DOC_INSTALL=$(INSTDIR)/usr/share/doc

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir

	bash make_gnu.sh

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-bash make_gnu.sh clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	bash make_gnu.sh install
	rm -f $(HB_BIN_INSTALL)/hbverfix
	install -m644 debian/harbour.cfg $(HB_ETC_DIR)/harbour.cfg
	install -m644 source/rtl/gtcrs/hb-charmap.def $(HB_ETC_DIR)/harbour
	install -m644 doc/*.txt $(HB_DOC_INSTALL)/harbour
	install -m644 doc/en/*.txt $(HB_DOC_INSTALL)/harbour/en
	install -m644 doc/es/*.txt $(HB_DOC_INSTALL)/harbour/es


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installman doc/man/harbour.1 doc/man/hbdoc.1 doc/man/hbmake.1 doc/man/hbpp.1 doc/man/hbrun.1 doc/man/hbtest.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
